commit:     27397ddab8a6e76ba69699fa2e9bec09f883baca
Author:     Filip Štamcar <projects <AT> filips <DOT> si>
AuthorDate: Wed Jan 15 15:00:34 2025 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Mon Jan 20 09:30:53 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=27397dda

www-plugins/firefoxpwa: add 2.13.3

Signed-off-by: Filip Štamcar <projects <AT> filips.si>
Closes: https://github.com/gentoo/guru/pull/279
Signed-off-by: David Roman <davidroman96 <AT> gmail.com>

 www-plugins/firefoxpwa/Manifest                 |   3 +
 www-plugins/firefoxpwa/firefoxpwa-2.13.3.ebuild | 565 ++++++++++++++++++++++++
 2 files changed, 568 insertions(+)

diff --git a/www-plugins/firefoxpwa/Manifest b/www-plugins/firefoxpwa/Manifest
index 390ef052a..591136e43 100644
--- a/www-plugins/firefoxpwa/Manifest
+++ b/www-plugins/firefoxpwa/Manifest
@@ -129,6 +129,7 @@ DIST firefoxpwa-2.12.4.tar.gz 523286 BLAKE2B 
893c4aa683ea947f0d2e2f26a24647f1a17
 DIST firefoxpwa-2.12.5.tar.gz 525570 BLAKE2B 
cfd9c8deadc4825234df833eae5d3ceb4fe9479ef2acaeefa2dd5c98cd809b3d513ad45f0f78d6d6fa01d06e6f7d1b76638917725c5285ff3c5825386c3095d6
 SHA512 
97c874a116e9db94d4c49ce67cb229f9abe68bdc23eafa2b0500abce3ed441faaa659137f7725d1bdfb388f3453132889970f4bcc997046afa20b5ffe95c7735
 DIST firefoxpwa-2.13.1.tar.gz 530044 BLAKE2B 
8b149340f5af702190c87ea623cc391413de6e115393231836534e4155ff980fa293e45a9875ed44c0bd7992d43f458d0fce136518b349f3522730cdf6399ad7
 SHA512 
b735d87bcb4f0295fbd0a944ce06dc2d20cda1b30d4437b5cd8ca02a07c2738d7fcf8bcb49d13a00f86657d068b5b6112404541aaba6f4566e4f9df24421a1ea
 DIST firefoxpwa-2.13.2.tar.gz 529999 BLAKE2B 
10f0567891d33d712a06542cfbc8a4e44291fffbb6e79da3f46837aaf5279746e7ff26e602042da91c2848e287abf263d063246cbe08be0ab92b5eb7ddddc9f3
 SHA512 
cba56ecf6a93d443721ec3f0e1841a8ebb0b39128d879ad0c1621b8da67f73e86da00714b43936301a1f08360c6ee765b6f77ad4fe47f312aae1b1a9799bb1ee
+DIST firefoxpwa-2.13.3.tar.gz 556070 BLAKE2B 
bc91b20d29575904f4ab20f0a62bd270fff195c88042e75f86d782d915cdbc0adb19fc45d7cdf912c16f111548ebc555e3ae723580aba377912a8d27fa304543
 SHA512 
e099a25040d77f7150d2bfd6f8eddd83190fd5d7606d1292f1d15167b957642e56a1b283d48cb10ddbb12b1fd9e48e34f97aad5d11578bf11386ac347f0e5523
 DIST flate2-1.0.33.crate 108838 BLAKE2B 
9fd23b3b0a75c29f750c873f74de8565f0d8f3a574c7d28e11d15e6c3c4686c42ba98b5769a08c21f3b9c6ffe7140196c3e7001153ff5a046ee7af40f7f6d965
 SHA512 
59a871137518586f1d66810528595acad5ca763ec5acc100098a372194f55f33b48e59c0806fd237c644a6d797b5deb26c541fa871a1194ee3ac725da3b6d134
 DIST flate2-1.0.35.crate 109188 BLAKE2B 
8bd6e51c3bcc06044e5b8d7ead950c3beab6c6337052fd48e86175f0fc98c8d12804274308ee515dc6156bbedb2277dfa2706cdcd7baaf2a789122473248486e
 SHA512 
aa2c4f0ad46cfbc7d2bfbdffd226eaa37f5223a34d132d8fb2dfd04c20d15a96c4882cc377fd72afbc7d13e512f5e9934386b0390a0ab2b171d081335c58fad4
 DIST float-cmp-0.9.0.crate 10102 BLAKE2B 
46bce5f7e838a947bbbdd22b085435e795b67fd23479780f65bf1586a70e7a35f04f9af086be98bff24e2583eeac7c9688727a2ddbd1ce978526dc01abf67dfd
 SHA512 
f8dad12ecf8a278769054fd78794999dae8dedbcfde5e77bdf6cea12fdeaadeeb2f1f3ca62df9aadc1bc3f61457236c4854d6d6923ad6d03ae7f23af600572e8
@@ -238,6 +239,7 @@ DIST litemap-0.7.4.crate 28257 BLAKE2B 
52989ad353a782e9592357530dca3504e3ef5475b
 DIST lock_api-0.4.12.crate 27591 BLAKE2B 
4504d146a114d8f8e1fe9ae70b993c713cbfe884dd69c61c54dec978733b95a853c3e5af26f237e48ebb4ee9dbebfce0f6c06067f74a3d122e92f5ace40e22d7
 SHA512 
525d971f495449bbd02eb70fcd84d4aab05ca582142144a5f314f9aa67ad4c5b4c98dc919a416d0ed2e555063eab037a441d671d56b633f2cb75dfab5d99bcf7
 DIST log-0.4.22.crate 44027 BLAKE2B 
831dc5092db05123bf2e909eafa708339983edece9bc8cb802f0ab418d47ddc5045a72c1b58bc7c46ffa68080eebd0fd55d6e4f5b3d5ad3b0bc6b2ea0dcaace1
 SHA512 
bd7baa9c8a5523fd0864a53bcde955d484cacd782412b5b02c890b89dbf62137624da3a27337a310dd8f62bcc6606925a42bbd4ca161a3b7936ea4ff96bc0d71
 DIST loop9-0.1.5.crate 3406 BLAKE2B 
629f398d74e13dd2f567e6528eee3f0a9b69e7256b34814a5418722728781bdd31aeb97d2cb226339e05880b5f731cb2892e83b47b5643b2f85aa48748690cc9
 SHA512 
0a04d4e2561963671f5aa1c9af09470d0a8d30bb02299ab08c7dcec70b1dd3f9380244a59a4da1b8b269967313d6645a154a3dbe92fbae0e43cba6e009e6b7b9
+DIST lzma-sys-0.1.20.crate 760045 BLAKE2B 
1f66d32008178c218575fba12df95a2cdc448e080c0a81ef4617f35dde09f0d56c86c28050db61c2ae7b464d0eaed7dd8c59a1fa605b39ff8c329e49165cd922
 SHA512 
393908b4e3006e4d9948a077d84ba7f5004765c4cc0f854e04847e504a246ab9a8e761fa48d4f211a7ac08dc119d950481da1ed1a480778d6b6e9b446a697279
 DIST maybe-rayon-0.1.1.crate 2901 BLAKE2B 
dca587f95e7766a0050b320cac7adb31d3fe9b84688c241c004824da684df0ce5f8c04053cc120d70e4325fac7bddc5d0dfc5aaf29c791b67503e7588bb81182
 SHA512 
6f4e0e2a342fc86b5d0626a08779075c68911ffd3f837ac6ab2c15c821ba96e50617cfc9df9d16bf96ae57fa1802c5549e21d67f79e4e1c3f10bce04b88115e9
 DIST memchr-2.7.4.crate 96670 BLAKE2B 
da38114beca670467c3e1fbf4e415af6f22d52e3223715d52e181babb89b872b46511563985bcc16d7ff4e82f812c6e83ad904b0fe2501b14445119dfa8240e6
 SHA512 
8d0e8b9c30208897d4b1b920f1bdcccd0c2b75d92a06abe4a1b2407938768abb6487d63de56c6a80419798fe69517210643dfaf11f5f5540185f0eccf220adb2
 DIST memmap2-0.9.4.crate 32752 BLAKE2B 
1b21af908061e6fe09484ce5f84d31ed1751301dffb6439512b38c53f9f090cef7541b591b968d0207c6d8351ee4d5949007caef7832ce130ffda1b3716b5454
 SHA512 
8bba078dba73253e8ee88f0bd2202dcd2afd0b7b800d08af8af593b882cb4acff7e297a3f299e253f5adf103893fc390dcd73e882a2e7d93ca96099fc2eace4a
@@ -534,6 +536,7 @@ DIST write16-1.0.0.crate 7218 BLAKE2B 
548796314339463e4b71f8af3d344e45dc89480e10
 DIST writeable-0.5.5.crate 22354 BLAKE2B 
e4ff9862c070b413568ce0c75d1eccafcf1db8578eee4795ea9046dadd643f8a77258b437be288b93af247199d63455298ac2cff909226bc432f91c0aa863921
 SHA512 
818b2546c8ec25816aeaf5e31a1ded927d197bf7256e7c5073738c2709bc58a95d382a0256eb38a99235ae83729b578701261866d42ea3357a26024906e196c1
 DIST xattr-1.3.1.crate 12580 BLAKE2B 
25c414d761a7fcd23bbe057add62c6da971cf33149066aa024320ab80e0ec8e8e8d5d3d0506e8de954b8f8c178d34c52a00a5fa9aa109510678098a3e3564b7f
 SHA512 
4047abda42b949cf58f820e15ee99850de483857bbaaef737eeee48e1a2132972470f15bb2ddda56438f6a934918be96607a8de518a5a3dcec7c8ee6c00ad280
 DIST xmlwriter-0.1.0.crate 6261 BLAKE2B 
daaeac50ff4f0ec71dfe5e6292a895f8f33ae8dfcb40f6df46a47a5b866c4d69f4aee5c48a1a84d3c7ccafe768a438d177bc9b4bb4b5b0d5194e67b106575615
 SHA512 
a0d8bfe6e3d220358e8523212cddb84541e9d8208b2aea64a89037e4e9f4de62a7b549c9f1bacbd71e14de16707f061e547d89ba459843be45fa802db297fd58
+DIST xz2-0.1.7.crate 23892 BLAKE2B 
fd4b65cc82405f28a3d9fcc3db9dbffac41ae8ec7e767f3405bc9c7e45000b529cd571f72a76e41f2fb9866e7af8ab37d9f1ab8e6f14652495d306ba0a745879
 SHA512 
9969ae958b157f3d49708bd00640e57fe7c3826add2871575bdac03e6064aabd28392e3062bfbb833752df374195c50b19dc6b6c08ac41455c492213fb91fc74
 DIST yoke-0.7.5.crate 29673 BLAKE2B 
cd2e42103140e080a29bf579fe5176b36a192f9b1309c1f2fd7557fe93b2f6eadbf6fca4a6a3b1a7b6288403d2f643841dfc7a5b6a4476776943950abe5c1613
 SHA512 
6bbd99671d1a5a5217890eaa267113d193b3636b265393afb6e72a313f01704d462fe017264f061405e8e84c188b590094c29e3fcf19a63c375ae165d1a0bbef
 DIST yoke-derive-0.7.5.crate 7525 BLAKE2B 
9b6b97eaf3c50f0f5ce8cebf685a1a17d4c21eb9b26d38eac99e0a4c0f9d592e95a7843b7a0b897945a14c4eb78ffdf2c0972b448d31d7bc7b077f27aad81d9a
 SHA512 
e30b06b020aa283080905004295fb643c539b130d0d53bda51927b95e79ba562336aad30d8a6202d9a0c62d5b64559a01218c6f02f3faada6003d4b03c205cd6
 DIST zerocopy-0.7.35.crate 152645 BLAKE2B 
8f13123c9d9257ac5a5c6954d38c3510fa658624442f7e03cdcc6db5a0977d9f26bb4e277be172b7872ec365cf6e58ac742e5578636f7698f9f37093e9249d9a
 SHA512 
17fcb31c029ae89c01e5bae5fb2bb46bd434120199a3dc2c7fe0012dbbcfe2a0bb38934c4a7d3a4920e3fe47c097403beee554fefa54b66cb390f8b1de638d3c

diff --git a/www-plugins/firefoxpwa/firefoxpwa-2.13.3.ebuild 
b/www-plugins/firefoxpwa/firefoxpwa-2.13.3.ebuild
new file mode 100644
index 000000000..066b56b27
--- /dev/null
+++ b/www-plugins/firefoxpwa/firefoxpwa-2.13.3.ebuild
@@ -0,0 +1,565 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]+1.0.8
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]+3.4.0
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]+wasi-snapshot-preview1
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]+zstd.1.5.6
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+"
+
+declare -A GIT_CRATES=(
+       
[mime-parse]='https://github.com/filips123/mime;57416f447a10c3343df7fe80deb0ae8a7c77cf0a;mime-%commit%/mime-parse'
+       
[mime]='https://github.com/filips123/mime;57416f447a10c3343df7fe80deb0ae8a7c77cf0a;mime-%commit%'
+       
[web_app_manifest]='https://github.com/filips123/WebAppManifestRS;477c5bbc7406eec01aea40e18338dafcec78c917;WebAppManifestRS-%commit%'
+)
+
+inherit cargo desktop flag-o-matic shell-completion toolchain-funcs xdg
+
+DESCRIPTION="A tool to install, manage and use PWAs in Mozilla Firefox (native 
component)"
+HOMEPAGE="https://pwasforfirefox.filips.si/";
+
+SRC_URI="
+       https://github.com/filips123/PWAsForFirefox/archive/v${PV}.tar.gz -> 
${P}.tar.gz
+       ${CARGO_CRATE_URIS}
+"
+
+S="${WORKDIR}/PWAsForFirefox-${PV}/native"
+
+# Main project license
+LICENSE="MPL-2.0"
+
+# Dependent crate licenses
+LICENSE+="
+       Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD ISC MIT MPL-2.0
+       Unicode-3.0 ZLIB
+"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE="custom-cflags lto static"
+
+DEPEND="
+       !static? (
+               app-arch/zstd:=
+               app-arch/bzip2:=
+               app-arch/xz-utils:=
+               dev-libs/openssl:=
+       )
+"
+RDEPEND="${DEPEND}"
+# As Rust produces LLVM IR when using LTO, lld is needed to link. Furthermore,
+# as some crates contain C code, clang should be used to compile them to 
produce
+# compatible IR.
+BDEPEND="
+       lto? (
+               !custom-cflags? (
+                       llvm-core/clang
+                       llvm-core/lld
+               )
+       )
+       !static? ( virtual/pkgconfig )
+"
+
+QA_FLAGS_IGNORED="
+       usr/bin/firefoxpwa
+       usr/libexec/firefoxpwa-connector
+"
+
+src_prepare() {
+       default
+
+       # Set version in source files as per build instructions
+       sed -i "s/version = \"0.0.0\"/version = \"${PV}\"/g" Cargo.toml || die
+       sed -i "s/DISTRIBUTION_VERSION = '0.0.0'/DISTRIBUTION_VERSION = 
'${PV}'/g" \
+               userchrome/profile/chrome/pwa/chrome.jsm || die
+}
+
+src_configure() {
+       # Setup toolchain
+       export CARGO_PROFILE_RELEASE_LTO=$(usex lto true false)
+       strip-flags
+
+       if use lto; then
+               if ! use custom-cflags; then
+                       CC="${CHOST}-clang"
+                       CXX="${CHOST}-clang++"
+                       RUSTFLAGS="-Clinker=clang -Clink-arg=-fuse-ld=lld 
${RUSTFLAGS}"
+
+                       # Fix -flto[=n] not being recognized by clang
+                       if tc-is-clang && is-flag "-flto=*"; then
+                               replace-flags "-flto=*" "-flto"
+                       fi
+               fi
+       else
+               filter-lto
+       fi
+
+       # Ask to use system dependencies
+       if ! use static; then
+               export PKG_CONFIG_ALLOW_CROSS=1
+               export ZSTD_SYS_USE_PKG_CONFIG=1
+               export OPENSSL_NO_VENDOR=1
+       fi
+
+       # Configure features
+       local myfeatures=(
+               $(usev static)
+       )
+
+       cargo_src_configure
+}
+
+src_install() {
+       # Executables
+       dobin $(cargo_target_dir)/firefoxpwa
+       exeinto /usr/libexec
+       doexe $(cargo_target_dir)/firefoxpwa-connector
+
+       # Manifest
+       local target_dirs=( /usr/lib{,64}/mozilla/native-messaging-hosts )
+       for target_dir in "${target_dirs[@]}"; do
+               insinto "${target_dir}"
+               newins manifests/linux.json firefoxpwa.json
+       done
+
+       # Completions
+       newbashcomp $(cargo_target_dir)/completions/firefoxpwa.bash firefoxpwa
+       dofishcomp $(cargo_target_dir)/completions/firefoxpwa.fish
+       dozshcomp $(cargo_target_dir)/completions/_firefoxpwa
+
+       # UserChrome
+       insinto /usr/share/firefoxpwa
+       doins -r ./userchrome
+
+       # Documentation
+       dodoc ../README.md
+       newdoc ../native/README.md README-NATIVE.md
+       newdoc ../extension/README.md README-EXTENSION.md
+
+       # AppStream Metadata
+       insinto /usr/share/metainfo
+       doins packages/appstream/si.filips.FirefoxPWA.metainfo.xml
+
+       # Icon
+       doicon -s scalable packages/appstream/si.filips.FirefoxPWA.svg
+}
+
+pkg_postinst() {
+       if [[ ! ${REPLACING_VERSIONS} ]]; then
+               elog "You have successfully installed the native part of the 
PWAsForFirefox project."
+               elog "You should also install the Firefox extension if you 
haven't already."
+               elog
+               elog "Download:"
+               elog 
"\thttps://addons.mozilla.org/firefox/addon/pwas-for-firefox/";
+       fi
+
+       xdg_pkg_postinst
+}
+
+pkg_postrm() {
+       if [[ ! ${REPLACED_BY_VERSION} ]]; then
+               elog "Runtime, profiles and web apps are still installed in 
user directories."
+               elog "You can remove them manually after this package is 
uninstalled."
+               elog "Doing that will remove all installed web apps and their 
data."
+       fi
+
+       xdg_pkg_postrm
+}

Reply via email to